Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Current_Impl Class Reference

TSS portion of the TAO SSLIOP::Current extension. More...

`#include <SSLIOP_Current_Impl.h>`

Inheritance diagram for TAO_SSLIOP_Current_Impl:

[legend]
Collaboration diagram for TAO_SSLIOP_Current_Impl:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Current_Impl (void)
| Constructor.
| ~TAO_SSLIOP_Current_Impl (void)
| Destructor.
virtual Security::AttributeList * | get_attributes (const Security::AttributeTypeList &attributes ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
virtual SecurityLevel2::ReceivedCredentials_ptr | received_credentials (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
void | get_peer_certificate (SSLIOP::ASN_1_Cert *certificate)
void | get_peer_certificate_chain (SSLIOP::SSL_Cert *cert_chain)
void | ssl (SSL *s)
| Set the pointer to the underlying SSL session state.
SSL * | ssl (void)
| Return pointer to the SSL session state for the current upcall.
## Protected Methods
virtual CORBA::ULong | tag (void) const
| Return the unique tag that identifies the concrete subclass.
## Private Methods
| TAO_SSLIOP_Current_Impl (const TAO_SSLIOP_Current_Impl &)
void | operator= (const TAO_SSLIOP_Current_Impl &)
## Private Attributes
SSL * | ssl_
| The SSL session state corresponding to the current upcall.

## Detailed Description

TSS portion of the TAO SSLIOP::Current extension.

This class encapsulates the thread-specific state of an SSL session during a given upcall.

## Constructor & Destructor Documentation

ACE_INLINE TAO_SSLIOP_Current_Impl::TAO_SSLIOP_Current_Impl | ( | void |  | ) |

| Constructor.

TAO_SSLIOP_Current_Impl::~TAO_SSLIOP_Current_Impl | ( | void |  | ) |

| Destructor.

TAO_SSLIOP_Current_Impl::TAO_SSLIOP_Current_Impl | ( | const TAO_SSLIOP_Current_Impl & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

## Member Function Documentation

Security::AttributeList * TAO_SSLIOP_Current_Impl::get_attributes | ( | const Security::AttributeTypeList &attributes | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| SSLIOP-specific version of the SecurityLevel1::Current::get_attributes() method.

void TAO_SSLIOP_Current_Impl::get_peer_certificate | ( | SSLIOP::ASN_1_Cert * | certificate | ) |

| Return the SSL peer certificate associated with the current request as an octet sequence, i.e. a DER encoded certificate.

void TAO_SSLIOP_Current_Impl::get_peer_certificate_chain | ( | SSLIOP::SSL_Cert * | cert_chain | ) |

| Return the SSL peer certificate chain associated with the current request as a sequence of DER encoded certificates.

void TAO_SSLIOP_Current_Impl::operator= | ( | const TAO_SSLIOP_Current_Impl & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

SecurityLevel2::ReceivedCredentials_ptr TAO_SSLIOP_Current_Impl::received_credentials | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| SSLIOP-specific version of the SecurityLevel2::Current::received_credentials() method.

ACE_INLINE SSL * TAO_SSLIOP_Current_Impl::ssl | ( | void |  | ) |

| Return pointer to the SSL session state for the current upcall.

ACE_INLINE void TAO_SSLIOP_Current_Impl::ssl | ( | SSL * | s | ) |

| Set the pointer to the underlying SSL session state.

CORBA::ULong TAO_SSLIOP_Current_Impl::tag | ( | void |  | ) | const`[protected, virtual]`

| Return the unique tag that identifies the concrete subclass.

## Member Data Documentation

SSL* TAO_SSLIOP_Current_Impl::ssl_`[private]`

| The SSL session state corresponding to the current upcall.

The documentation for this class was generated from the following files:

- SSLIOP_Current_Impl.h
- SSLIOP_Current_Impl.cpp
- SSLIOP_Current_Impl.inl